summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-02-10 08:10:17 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2020-02-10 08:12:07 +0100
commita9311d86d574062b18fa8f08ea0062899301f59e (patch)
treecc8d1305b05580b6e0d629974dd877f1ad3a6065 /media-libs/mlt
parentkde-apps/kross-interpreters: Add 19.12.2-r1 for ruby26 (diff)
downloadgentoo-a9311d86d574062b18fa8f08ea0062899301f59e.tar.gz
gentoo-a9311d86d574062b18fa8f08ea0062899301f59e.tar.bz2
gentoo-a9311d86d574062b18fa8f08ea0062899301f59e.zip
media-libs/mlt: Sync 6.18.0-r0 with r1
This will be our ruby25 stable target. Package-Manager: Portage-2.3.87, Repoman-2.3.20 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'media-libs/mlt')
-rw-r--r--media-libs/mlt/mlt-6.18.0.ebuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/media-libs/mlt/mlt-6.18.0.ebuild b/media-libs/mlt/mlt-6.18.0.ebuild
index a2df7a96441..c835916cd8c 100644
--- a/media-libs/mlt/mlt-6.18.0.ebuild
+++ b/media-libs/mlt/mlt-6.18.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/mltframework/${PN}/releases/download/v${PV}/${P}.tar
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE="compressed-lumas cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 debug ffmpeg
fftw frei0r gtk jack kdenlive kernel_linux libav libsamplerate lua melt opencv opengl python
qt5 rtaudio ruby sdl vdpau vidstab xine xml"
@@ -100,7 +100,7 @@ src_prepare() {
# respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
for x in python lua; do
- sed -i "/mlt.so/s: -lmlt++ :& ${CFLAGS} ${LDFLAGS} :" src/swig/$x/build || die
+ sed -i "/mlt.so/s/ -lmlt++ /& ${CFLAGS} ${LDFLAGS} /" src/swig/$x/build || die
done
sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die